<?php
include_once('../header.php'); 
$id = $_GET['id'] ?? null;
$question = $answer = "";

// Fetch FAQ details for the given ID
if ($id) {
    $sql = "SELECT question, answer FROM faqs WHERE id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $id);
    $stmt->execute();
    $stmt->bind_result($question, $answer);
    $stmt->fetch();
    $stmt->close();
}

// Handle form submission
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $new_question = $_POST['question'];
    $new_answer = $_POST['answer'];

    $sql = "UPDATE faqs SET question = ?, answer = ? WHERE id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ssi", $new_question, $new_answer, $id);

    if ($stmt->execute()) {
        echo "
<script>
    function showSuccessAlert() {
        Swal.fire({
            title: 'Success!',
            text: 'FAQ updated successfully!',
            icon: 'success',
            confirmButtonText: 'OK'
        }).then((result) => {
            if (result.isConfirmed) {
                window.location.href = 'update_faq.php?id=" . $id . "';
            }
        });
    }

    showSuccessAlert();
</script>
";
        
    } else {}
        
    $stmt->close();
}
?>

<section id="main-content">
    <section class="wrapper">
        <div class="clearfix">Create Faq's</div>

        <!-- //tasks -->
        <div class="agileits-w3layouts-stats">
            <div class="col-md-12 stats-info stats-last widget-shadow">
                <br/><br/>  
                <div class="stats-last-agile">
                  
            <form method="post" action="">
        <div class="form-group">
            <label for="question">Question</label>
            <input type="text" class="form-control" id="question" name="question" value="<?php echo htmlspecialchars($question); ?>" required>
        </div>
        <div class="form-group">
            <label for="answer">Answer</label>
            <textarea class="form-control" id="answer" name="answer" rows="4" required><?php echo htmlspecialchars($answer); ?></textarea>
        </div>
        <button type="submit" class="btn btn-primary">Update FAQ</button>
    </form>
    <a href="updatefaqs.php" class="btn btn-secondary mt-3">Back to FAQ List</a>
                   
                </div>
            </div>
            <!-- Modal -->

 
       

<?php
include_once('../footer.php'); 
?>
