<?php
include_once("conn.php");

$sql = "SELECT `recever_id`, COUNT(*) as `count`, GROUP_CONCAT(`id`) as `ids` 
        FROM `enfant_member` 
        GROUP BY `recever_id`";
$result = $conn->query($sql);

$drid = array();  // Initialize an empty array

if ($result->num_rows > 0) {
    // Fetch each row and store recever_id, its count, and the concatenated ids in the array
    while ($row = $result->fetch_assoc()) {
        $idsArray = explode(',', $row['ids']); // Split the ids string into an array
        // Only consider recever_id where index 5 to 16 is present in ids
        $filteredIds = array_slice($idsArray, 4, 16); // Extract ids from index 5 to 16 (12 elements)

        if (!empty($filteredIds)) {
            $drid[] = array(
                'recever_id' => $row['recever_id'], 
                'count' => $row['count'], 
                'ids' => $filteredIds // Store only filtered ids
            );
        }
    }
} else {
    echo "No results";
}

// Display the data
echo '<div class="container">';
echo '<table class="table table-bordered table-striped">';
echo '<thead>';
echo '<tr>';
echo '<th>ID</th>';
echo '<th>Email</th>';
echo '<th>Full Name</th>';
echo '<th>Phone</th>';
echo '<th>Level</th>';
echo '</tr>';
echo '</thead>';
echo '<tbody>';

// Now, for each recever_id, run another query to fetch details from the user table
foreach ($drid as $entry) {
    $recever_id = $entry['recever_id'];

    // Prepare the query to fetch user details based on the recever_id
    $sql_user = "SELECT `id`, `email`, `full_name`, `phone`, `level`, `address`, `bank_name`, `bank_acc`, `bank_desc`, `entry_complete`, `date` 
                 FROM `user` 
                 WHERE `id` = $recever_id";
    $user_result = $conn->query($sql_user);

    if ($user_result->num_rows > 0) {
        while ($user_row = $user_result->fetch_assoc()) {
            // Output each row in the table
            echo '<tr>';
            echo '<td>' . $user_row['id'] . '</td>';
            echo '<td>' . $user_row['email'] . '</td>';
            echo '<td>' . $user_row['full_name'] . '</td>';
            echo '<td>' . $user_row['phone'] . '</td>';
            echo '<td>' . $user_row['level'] . '</td>';
            echo '</tr>';
        }
    } else {
        echo '<tr><td colspan="11">No user details found for recever_id: ' . $recever_id . '</td></tr>';
    }
}

echo '</tbody>';
echo '</table>';
echo '</div>';



?>